aboutsummaryrefslogtreecommitdiffstats
path: root/main/gtk+2.0/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-13 12:42:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-13 13:21:25 +0000
commitcea5941b7eebc383040c6775cd4ffd001ba3d8f7 (patch)
tree7586fbca232e155eb0c0f995173d8e0528c7e3f8 /main/gtk+2.0/APKBUILD
parente5c15779d5e2f1bfd14b80a3e11ffde61907e3c2 (diff)
downloadaports-cea5941b7eebc383040c6775cd4ffd001ba3d8f7.tar.gz
aports-cea5941b7eebc383040c6775cd4ffd001ba3d8f7.tar.bz2
aports-cea5941b7eebc383040c6775cd4ffd001ba3d8f7.tar.xz
main/gtk+2.0: upgrade to 2.24.4
and fix up -dev package
Diffstat (limited to 'main/gtk+2.0/APKBUILD')
-rw-r--r--main/gtk+2.0/APKBUILD16
1 files changed, 13 insertions, 3 deletions
diff --git a/main/gtk+2.0/APKBUILD b/main/gtk+2.0/APKBUILD
index 63026bb0aa..8f2c0b59ef 100644
--- a/main/gtk+2.0/APKBUILD
+++ b/main/gtk+2.0/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gtk+2.0
-pkgver=2.24.0
-pkgrel=2
+pkgver=2.24.4
+pkgrel=0
pkgdesc="The GTK+ Toolkit (v2)"
url="http://www.gtk.org/"
install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
@@ -61,4 +61,14 @@ package() {
find "$pkgdir" -name '*.la' -delete
}
-md5sums="3f67a9d8d939222df84facf2d0ecb275 gtk+-2.24.0.tar.bz2"
+dev() {
+ mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/share/
+ mv "$pkgdir"/usr/share/gtk-2.0 "$subpkgdir"/usr/share/ || return 1
+ default_dev
+ replaces="gtk+2.0"
+ mv "$pkgdir"/usr/bin/gtk-builder-convert \
+ "$pkgdir"/usr/bin/gtk-demo \
+ "$subpkgdir"/usr/bin || return 1
+}
+
+md5sums="e05a700ba79c8813d56e83e80636ee21 gtk+-2.24.4.tar.bz2"